import React, { CSSProperties } from "react";
import { TPageHeadProps } from "../page/head";
import { TCurrentContextSettings } from "../context/use-current-context";
import { TSiteBreadcrumbSectionItem } from "../sections/site-breadcrumb";
export type TSiteBasePageProps = {
    solution: Record<string, any>;
    headProps: TPageHeadProps;
    appTrack?: boolean;
    libTrack?: boolean;
    navigation?: Record<string, any>[];
    breadcrumbItems?: TSiteBreadcrumbSectionItem[];
    children?: any;
    siteOrgName?: string;
    siteName?: string;
    siteLogo?: string;
    footerStyle?: CSSProperties;
    footerClassName?: string;
    currentContextSettings?: TCurrentContextSettings;
    Head?: any;
    HeaderSection?: any;
    FooterSection?: any;
};
export declare const SiteBasePage: (props: TSiteBasePageProps) => React.JSX.Element;
export default SiteBasePage;
