"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SitePageSingle = void 0;
var react_1 = __importDefault(require("react"));
var mobx_react_lite_1 = require("mobx-react-lite");
var env_1 = require("primeobjects-ui-web-store/build/cjs/stores/env");
exports.SitePageSingle = (0, mobx_react_lite_1.observer)(function (props) {
    var envStore = (0, env_1.useEnvStore)();
    return (react_1.default.createElement("main", { className: "max-w-7xl px-6 sm:px-8 lg:px-10 mx-auto flex flex-col", style: {
            minHeight: envStore.height - 170
        } },
        react_1.default.createElement("div", { className: "flex-1 flex flex-col" }, props.children)));
});
exports.default = exports.SitePageSingle;
//# sourceMappingURL=site-page-single.js.map