import React from "react";
import { TListResult } from "./table";
export type TListHeaderSectionProps = {
    queryResult?: {
        query: Record<string, any>;
        result: TListResult;
    } | undefined;
    currentRecord?: Record<string, any>;
    onClickCreateButton?: (record: Record<string, any>) => void;
    renderCategories?: (onClose?: () => void) => any;
    onSubmitSearch?: (keywords: string) => void;
    hideSearch?: boolean;
    onRefresh?: () => void;
    onClickToggleTagsButton?: () => void;
    onClickFilterButton?: () => void;
    showTags?: boolean;
    cancelSearch?: string | number;
    entity: Record<string, any>;
    createButtonText?: string;
    exportProps?: string[];
    apis?: Record<string, any>;
    hideSearchService?: boolean;
    hideEntityIcon?: boolean;
    hideCategoriesButton?: boolean;
    hideCreateButton?: boolean;
    hideExportButton?: boolean;
    onProcessUploadRecord?: (record: Record<string, any>) => Record<string, any>;
    onUploadRecord: (record: Record<string, any>) => void;
    showUploadButton?: boolean;
};
export declare const ListHeaderSection: ((props: TListHeaderSectionProps) => React.JSX.Element) & {
    displayName: string;
};
export default ListHeaderSection;
