import React, { CSSProperties } from "react";
import { TSiteIntroSectionProps } from "./site-intro";
export type TSiteMainSectionProps = {
    solution: Record<string, any>;
    introductionProps: TSiteIntroSectionProps;
    imageUrl: string;
    className?: string;
    style?: CSSProperties;
    onClickLogo?: () => void;
};
export declare const SiteMainSection: (props: TSiteMainSectionProps) => React.JSX.Element;
export default SiteMainSection;
